macroScript LOD_Controller_Detection
 	category: "AKNToolkit"
 	toolTip: "Finds objects with LOD controller from scene/selection"
 	buttonText: "Detect LODs"
 	icon: #("AKNToolkit",4)
(
	/*
		This script will find all objects with the LOD controller assigned to them, either from selection or the whole scene, and then select them.
		Unfortunately it's not possible with maxscript, without a plugin, to automatically delete the LOD controller from the objects.
	*/
	
	-- Get the objects to detect the lods on, if there is no selection, search scene for lods
	local objs = if (getCurrentSelection()).count == 0 then (objects) else (getCurrentSelection())
	 -- Deselect all objects
	max select none
	-- Find all objects with LOD controller
	local lodobjs = for n in objs where classOf(getVisController n) == LOD_Controller collect n
	
	-- If any objects with LOD controllers found, select them in the scene, else show messageBox
	if lodobjs.count > 0 then
	(
		select lodobjs
	) else (
		messageBox "No objects from selection/scene with LOD controller assigned to them." title:"No LOD found"
	)
)